
Foreman - Feature #11898

As a user, I would like to see if a new update of Foreman is out.

09/20/2015 10:06 PM - Chris Edester

Status: New   

Priority: Normal   

Assignee:    

Category: Dashboard   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice to see that a new version of Foreman is out, that I can upgrade to.

It might be nice to include this on the about page.

If someone can suggest a json url to poll for the latest version, I may be able to implement this.

Related issues:

Related to Discovery - Feature #14070: Notify user about old discovered hosts New 03/07/2016

Related to Foreman - Feature #14513: Add a latest news widget that shows the ... New 04/06/2016

History

#1 - 09/21/2015 03:15 AM - Dominic Cleal

- translation missing: en.field_release deleted (63)

I don't think we have any such JSON URL right now, but it would probably be easy to add to the website via 

https://github.com/theforeman/theforeman.org.  The _includes/version.html file is shown on the homepage, but that data could move into something

like config.yml so we can update it on release, then add a new version.json file that uses it.

#2 - 09/21/2015 05:57 AM - Dominic Cleal

Another thought, Jekyll has useful features for storing data which would be better than my config.yml suggestion.  The data could be more structured

then if you wanted, showing the latest release per major version or something (so 1.8 => 1.8.4 etc).

http://jekyllrb.com/docs/datafiles/ and http://jekyllrb.com/docs/collections/ have more details.

#3 - 09/21/2015 06:17 AM - Greg Sutcliffe

This might also be a good time to add some opt-in metrics for the project too. The request to the site could (optionally, of course) include some useful

data in the headers, such as the current Foreman version, plugins in use (and versions) etc.

This would probably require something to process those headers on the website side - I've not looked at the Jekyll features Dominic mentions though,

as to whether that could handle it...

#4 - 09/21/2015 06:19 AM - Dominic Cleal

Jekyll's only a templating engine, we have no capability for dynamic behaviour - it can only generate static content.

#5 - 09/21/2015 06:19 AM - Ohad Levy

I think we could host a static json file on *.theforeman.org - a few thoughts:

we would probably need to provide the list of plugins and their versions, the same for the proxy and its plugins?

for proxies, we probably need to extend foreman to know the proxy version, atm I don't think we are storing it in the db. (maybe even per

feature to include plugins).

we would need to enable security headers to allow CORS- most likely to *.theforeman.org - similar to gravatar.

it would be nice to query using GET with the current version numbers, this would allow us to know a bit on our installation base, but not required.

#6 - 02/25/2016 07:05 AM - Ondřej Pražák

- Assignee set to Ondřej Pražák
#7 - 02/25/2016 08:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3238 added

#8 - 03/07/2016 06:32 AM - Lukas Zapletal

- Related to Feature #14070: Notify user about old discovered hosts added

#9 - 06/30/2016 11:03 AM - Dominic Cleal

- Related to Feature #14513: Add a latest news widget that shows the blog RSS feed added

#10 - 06/30/2016 11:03 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Ondřej Pražák)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3238)

PR was closed in favour of just a news feed in #14513. I'll leave this open as I think the two are distinct, particularly for plugins and minor updates.
